> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取一个或多个限价订单 PDA 的链上事件日志

> 返回一个或多个限价订单 PDA 的事件日志（`open`、`increase`、`decrease`、`settle`、`close`），适用于渲染单个订单的时间线，通过 `nextPageId` 进行游标分页。




## OpenAPI

````yaml /zh/api-reference/openapi/temp-api-v1.yaml get /limit-order/history/event/list-by-pda
openapi: 3.0.3
info:
  title: Temp API
  description: |
    用于存放在 Raydium 主 API 中尚无固定归属的短期端点。
    此服务中的端点可能随时变更、弃用或迁移，恕不另行通知。

    **稳定性警告：** 本服务以快速迭代为优先，不提供 API 稳定性保证。
    仅建议用于非关键路径、内部工具或正在开发中的功能。
  version: 1.0.0
  contact:
    name: Raydium
    url: https://raydium.io
servers:
  - url: https://temp-api-v1.raydium.io
    description: Mainnet
  - url: https://temp-api-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Temporary
    description: 临时端点（不稳定）
paths:
  /limit-order/history/event/list-by-pda:
    get:
      tags:
        - Temporary
      summary: 获取一个或多个限价订单 PDA 的链上事件日志
      description: >
        返回一个或多个限价订单 PDA
        的事件日志（`open`、`increase`、`decrease`、`settle`、`close`），适用于渲染单个订单的时间线，通过
        `nextPageId` 进行游标分页。
      operationId: listLimitOrderEventsByPda
      parameters:
        - name: pda
          in: query
          required: true
          description: |
            一个或多个限价订单 PDA 公钥，以逗号分隔，每个必须是有效的 base58 公钥。
          schema:
            type: string
        - name: nextPageId
          in: query
          required: false
          description: 由上一页返回的不透明分页游标（TTL 约 1 小时）。
          schema:
            type: string
        - name: size
          in: query
          required: false
          description: 每页数量（1–100，默认 20）。
          schema:
            type: integer
            default: 20
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LimitOrderEventByPdaResponse'
        '400':
          description: 请求无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 服务器错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    LimitOrderEventByPdaResponse:
      type: object
      description: '`/limit-order/history/event/list-by-pda` 的响应数据。'
      properties:
        id:
          type: string
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            rows:
              type: array
              items:
                $ref: '#/components/schemas/LimitOrderEventItem'
            nextPageId:
              type: string
              nullable: true
              description: 下一页的不透明游标；若为最后一页则不存在。
          required:
            - rows
      required:
        - success
        - data
    ErrorResponse:
      type: object
      properties:
        id:
          type: string
        success:
          type: boolean
          example: false
        msg:
          type: string
          description: 错误信息
      required:
        - success
        - msg
    LimitOrderEventItem:
      type: object
      description: 针对某个限价订单 PDA 观察到的单条链上变更事件。
      properties:
        pda:
          type: string
        txid:
          type: string
        slot:
          type: integer
        blockTime:
          type: integer
        poolId:
          type: string
        mintA:
          type: string
        mintB:
          type: string
        zeroForOne:
          type: boolean
        tick:
          type: integer
        price:
          type: number
        autoRunner:
          type: boolean
          description: true 表示该事件由 `limit_order_admin` keeper 执行；false 表示由所有者签名执行。
        type:
          type: string
          enum:
            - open
            - increase
            - decrease
            - settle
            - close
        inputAmountChangeUi:
          type: number
          description: 订单输入余额的净变动量，以可读单位表示（带符号）。
        inputAmountValuePreUi:
          type: number
        inputAmountValuePostUi:
          type: number
        outputAmountChangeUi:
          type: number
          description: 订单累计输出的净变动量，以可读单位表示（带符号）。
        outputAmountValuePreUi:
          type: number
        outputAmountValuePostUi:
          type: number
      required:
        - pda
        - txid
        - slot
        - blockTime
        - poolId
        - mintA
        - mintB
        - zeroForOne
        - tick
        - price
        - autoRunner
        - type
        - inputAmountChangeUi
        - inputAmountValuePreUi
        - inputAmountValuePostUi
        - outputAmountChangeUi
        - outputAmountValuePreUi
        - outputAmountValuePostUi

````